Jobs
Returns a streamable file that contains a job’s log. You can read the log file for completed or aborted jobs to review results. You can also stream the log file for a running job to view logs in real time.
Bearer <access_token>
Returns the streamable file containing job logs
Incorrect request data is provided. For example, id or connectionId isn't a valid number
Connection or job not found
GET /api/v1/connections/{connectionId}/jobs/{id}/logs/details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}Returns information about job progress steps. Can be used for completed or aborted jobs to review results, or for running jobs to view runtime progress
Bearer <access_token>
Returns a list of work completed for every processed object. The response structure may differ based on the specific work performed in the job
Object name
Status of progress step
Number of successfully backed up records.
Number of successfully removed records.
Success count for restore-request/import
Failed count for import
Number of successfully restored records.
Number of records that failed to restore.
Updated number of successfully restored records.
Updated number of records that failed to restore.
Number of records found in search.
Incorrect request data is provided. For example, id or connectionId isn't a valid number
Connection or job not found
GET /api/v1/connections/{connectionId}/jobs/{id}/logs/progress HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"objectName": "text",
"status": "text",
"backupSuccessCount": 1,
"removeSuccessCount": 1,
"successCount": 1,
"failedCount": 1,
"restoreSuccessCount": 1,
"restoreFailedCount": 1,
"updateSuccessCount": 1,
"updateFailedCount": 1,
"searchSuccessCount": 1
}
]Aborts the backup or archive job
Bearer <access_token>
Aborts the backup or archive job
Job was aborted successfully.Incorrect request data is provided. For example, connectionId isn't a valid positive number
Connection not found
PATCH /api/v1/connections/{connectionId}/jobs/{id}/abort/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"message": "Job was aborted successfully."
}Zuletzt aktualisiert
War das hilfreich?